# KotlinDslBaseScriptModel

@Incubating
interface KotlinDslBaseScriptModel

This interface describes the Kotlin DSL specific part of GradleDslBaseScriptModel.

#### Since

9.2.0

## Functions

getCompileClassPath
Link copied to clipboard
@Incubating
abstract fun getCompileClassPath(): List<File>
The compilation classpath for Kotlin DSL scripts.
getImplicitImports
Link copied to clipboard
@Incubating
abstract fun getImplicitImports(): List<String>
The implicit imports that are added to all Kotlin DSL scripts.
getScriptTemplatesClassPath
Link copied to clipboard
@Incubating
abstract fun getScriptTemplatesClassPath(): List<File>
Classpath required to load Kotlin DSL script template classes.
getTemplateClassNames
Link copied to clipboard
@Incubating
abstract fun getTemplateClassNames(): List<String>
Template classes used for interpreting Kotlin DSL scripts.